package com.weChatmarket.contens;

import java.io.Serializable;

/**
 * 抽象的返回结果
 */
public class BaseResult<T> implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7277594240016924327L;

	/**
	 * 错误码
	 */
	private int code = ResultCodeEnum.HTTP_OK.getCode();
	/**
	 * 错误信息
	 */
	private String msg = ResultCodeEnum.HTTP_OK.getMsg();

	/**
	 * 返回的数据信息
	 */
	private T data;

	public BaseResult(int code, String msg) {
		super();
		this.code = code;
		this.msg = msg;
	}

	public BaseResult(ResultCodeEnum resultCode) {
		super();
		this.code = resultCode.getCode();
		this.msg = resultCode.getMsg();
	}

	public BaseResult() {
		super();
	}

	public BaseResult(boolean ret, int code) {
		super();
		this.code = code;

	}

	public int getCode() {
		return code;
	}

	public BaseResult<T> setCode(int code) {
		this.code = code;
		return this;
	}

	public String getMsg() {
		return msg;
	}

	public BaseResult<T> setMsg(String msg) {
		this.msg = msg;
		return this;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

}