package com.weChatmarket.service;

import java.io.Serializable;
import java.util.List;

import com.weChatmarket.dao.BaseDao;

public interface BaseService<T> {

	/**
	 * 根据id查找
	 * 
	 * @param id
	 * @return
	 */
	public T findById(Serializable id);

	/**
	 * 创建
	 * 
	 * @param obj
	 * @return
	 */
	public int create(T obj);

	/**
	 * 更新
	 * 
	 * @param obj
	 * @return
	 */
	public int update(T obj);

	/**
	 * 根据id删除
	 * 
	 * @param obj
	 * @return
	 */
	public int deleteById(Object obj);

	/**
	 * 根据参数查找（单个）
	 * 
	 * @param serializable
	 * @return
	 */
	public T findByNamedParam(Serializable serializable);

	/**
	 * 根据参数查找（列表）
	 * 
	 * @param serializable
	 * @return
	 */
	public List<T> findByNamedParamList(Serializable serializable);

	/**
	 * 获得dao实例
	 * 
	 * @return
	 */
	public abstract <D extends BaseDao<T>> D getDao();
}