package com.weChatmarket.service;

import java.util.List;

import com.weChatmarket.domain.WxShopInfor;
import com.weChatmarket.domain.WxShopType;
import com.weChatmarket.dto.WxShopInforAppDto;
import com.weChatmarket.dto.WxShopInforDto;
import com.weChatmarket.page.BasePage;

/**
 * 微信商场店铺信息表 create by dongshize
 */
public interface WxShopInforService extends BaseService<WxShopInfor> {

	public boolean checkWxShopInfor(Long id,String code);

	public WxShopInfor makeWxShopInfor(Long id, String name, String code, Long typeId, List<String> labelIds, String telephone,
			String introduce, String wechat, String shopMap,String shopMapName,Integer top, Integer status);

	public void addOrUpdateWxShopInfor(Long id, String name, String code, Long typeId, List<String> labelIds,
			String telephone, String introduce, String wechat, String shopMap,String shopMapName, Integer top);

	public void updateStatusById(Long id);

	public BasePage<WxShopInforDto> findPage(Integer pageNum, Integer pageSize, String searchValue);

	public List<WxShopInforDto> wxPageList(String searchValue ,Long typeId ,String label);
	
	public List<WxShopInfor> findByLabel(String label);
	
	public void  cleanTypeAndLabelByTypeId(Long typeId);
	
	public WxShopInforDto findWxShopInforDtoById(Long id);

	public WxShopInforAppDto wxFindById(Long id);

    public WxShopInforDto makeWxShopInforDto(WxShopInfor wxShopInfor,List<WxShopType> shopTypeList);
    
    public void editWxShopInforDto(WxShopInforDto wxShopInforDto,List<WxShopType> shopTypeList);
}
